Ayer se me ocurrió actualizar un programa, en un principio iba a compilarlo pero luego de ver todas las dependencias que tenia y ya que era demasiado trabajo preferí instalarlo con unos paquetes .deb (además de que tengo mala suerte cuando compilo ya que casi siempre se me produce algún error 😈 )

Allí es cuando surge el problema ya que estos paquetes tenían problemas en sus dependencias (para ser más específicos el primero dependía del segundo y el segundo del primero, así que no podía instalar ninguno ya que no se cumplían las dependencias).

La solución que se me ocurrió fue forzar instalación de un paquete ignorando las dependencias no satisfechas. Lo cual se puede hacer con:

dpkg -i --force-all paquete.deb

Por lo menos a mi me funciono 🙂

Anuncios